## hfst 3.8.2~r4145

=== debian/changelog ===
hfst (3.8.2~r4145-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #781759).
  * Add Python and Python3 modules.
  * Fix some Lintian errors.
  * Disable static libraries.

  [ Kartik Mistry ]
  * Added hardening support.
  * Added patch description.

 -- Kartik Mistry <kartik@debian.org>  Wed, 22 Jul 2015 17:46:52 -0500
