=== debian/control ===
Source: hfst
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bison,
               debhelper (>= 9.0),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               flex,
               libicu-dev,
               libreadline-dev,
               libtool,
               python,
               python-dev,
               python3,
               python3-dev,
               swig,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/hfst.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git

Package: hfst
Architecture: any
Depends: libhfst40 (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.

Package: libhfst40
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libhfst
Conflicts: libhfst, libhfst3
Replaces: libhfst, libhfst3
Description: Helsinki Finite-State Transducer Technology Libraries
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides runtime libraries for HFST.

Package: libhfst40-dev
Architecture: any
Section: libdevel
Depends: libhfst40 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: libhfst-dev
Conflicts: libhfst-dev, libhfst3-dev
Replaces: libhfst-dev, libhfst3-dev
Description: Helsinki Finite-State Transducer Technology Development files
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides development headers and libraries for HFST

Package: python-libhfst
Architecture: any
Section: python
Depends: libhfst40 (= ${binary:Version}),
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology (Python2 module)
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides Python2 module for libhfst.

Package: python3-libhfst
Architecture: any
Section: python
Depends: libhfst40 (= ${binary:Version}),
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Helsinki Finite-State Transducer Technology (Python3 module)
 The Helsinki Finite-State Transducer software is intended for the
 implementation of morphological analysers and other tools which are
 based on weighted and unweighted finite-state transducer technology.
 .
 This package provides Python3 module for libhfst.
