=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --without-foma --with-unicode-handler=ICU --enable-all-tools

override_dh_auto_build:
	./scripts/generate-cc-files.sh
	$(MAKE) -j$(NUMJOBS) || $(MAKE) -j$(NUMJOBS) || $(MAKE)
	cd $(CURDIR)/swig && python setup.py build_ext && python3 setup.py build_ext && strip --strip-unneeded build/*/*.so

override_dh_auto_test:
	# Skip, as it breaks in various unpredictable ways

override_dh_auto_install:
	dh_auto_install
	cd $(CURDIR)/swig && python setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp && python3 setup.py install --no-compile --prefix /usr --install-layout deb --root $(CURDIR)/debian/tmp
	find $(CURDIR) -type f -name '*.pyc' -exec rm -f '{}' \;
	find $(CURDIR) -type f -name '*.pyo' -exec rm -f '{}' \;
