## hfst 3.9.0~r4595

=== debian/changelog ===
hfst (3.9.0~r4595-3) unstable; urgency=medium

  * Update package to generate appropriate dependencies for python bindings
    as well as building for all supported python3 versions. Patch was not added
    in last update by mistake (Closes: #809446)

 -- Kartik Mistry <kartik@debian.org>  Wed, 10 Feb 2016 10:59:55 +0530

hfst (3.9.0~r4595-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Removed old-style hardening support.
  * Added overrides.

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 17:41:03 +0530

hfst (3.9.0~r4595-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.

  [ Kartik Mistry ]
  * debian/control:
    + Fixed Vcs-* URLs.
  * debian/copyright:
    + Updated SFST and Foma upstream URLs.
  * debian/rules:
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Tue, 02 Feb 2016 11:49:33 +0530

hfst (3.8.3~r4409-1) unstable; urgency=low

  * Update to latest upstream release.

 -- Tino Didriksen <mail@tinodidriksen.com>  Mon, 03 Aug 2015 06:53:49 +0000
