=== debian/control ===
--- 
+++ 
@@ -10,34 +10,33 @@
                bison,
                debhelper (>= 9.0),
                dh-autoreconf,
+               dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
                libicu-dev,
                libreadline-dev,
                libtool,
-               python,
                python-dev,
-               python3,
-               python3-dev,
+               python3-all-dev,
                swig,
                zlib1g-dev
 Standards-Version: 3.9.6
-Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/hfst.git
+Homepage: https://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
+Vcs-Git: https://anonscm.debian.org/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst40 (= ${binary:Version}),
-         python,
+Depends: libhfst42 (= ${binary:Version}),
          ${misc:Depends},
+         ${python:Depends},
          ${shlibs:Depends}
 Description: Helsinki Finite-State Transducer Technology
  The Helsinki Finite-State Transducer software is intended for the
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst40
+Package: libhfst42
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
@@ -50,10 +49,10 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst40-dev
+Package: libhfst42-dev
 Architecture: any
 Section: libdevel
-Depends: libhfst40 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libhfst42 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst-dev
 Conflicts: libhfst-dev, libhfst3-dev
 Replaces: libhfst-dev, libhfst3-dev
@@ -67,9 +66,9 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst40 (= ${binary:Version}),
-         python,
+Depends: libhfst42 (= ${binary:Version}),
          ${misc:Depends},
+         ${python:Depends},
          ${shlibs:Depends}
 Description: Helsinki Finite-State Transducer Technology (Python2 module)
  The Helsinki Finite-State Transducer software is intended for the
@@ -81,9 +80,9 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst40 (= ${binary:Version}),
-         python3,
+Depends: libhfst42 (= ${binary:Version}),
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Description: Helsinki Finite-State Transducer Technology (Python3 module)
  The Helsinki Finite-State Transducer software is intended for the
