## hfst 3.10.0~r2798

=== debian/changelog ===
hfst (3.10.0~r2798-3build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:25:12 +1200

hfst (3.10.0~r2798-3build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 11:44:40 +1200

hfst (3.10.0~r2798-3) unstable; urgency=medium

  [ Tino Didriksen ]
  * Workaround tests failing on big-endian (Closes: #827199)
    + Not solved, but not needed because hfst-ospell fixed the end-user case

 -- Kartik Mistry <kartik@debian.org>  Thu, 23 Mar 2017 18:48:47 +0530

hfst (3.10.0~r2798-2) unstable; urgency=low

  [ Tino Didriksen ]
  * debian/patches/hfst_03_char2int.diff:
    + Fix FTBFS: twolc test fails or times out (Closes: #826659)

 -- Kartik Mistry <kartik@debian.org>  Mon, 13 Jun 2016 10:17:56 +0530

hfst (3.10.0~r2798-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 3.9.8

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jun 2016 18:33:47 +0530
