=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
+Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                automake,
@@ -20,14 +20,14 @@
                python3-all-dev,
                swig,
                zlib1g-dev
-Standards-Version: 3.9.6
-Homepage: https://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
-Vcs-Git: https://anonscm.debian.org/debian-science/packages/hfst.git
+Standards-Version: 3.9.8
+Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst42 (= ${binary:Version}),
+Depends: libhfst45 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -36,7 +36,7 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst42
+Package: libhfst45
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
@@ -49,10 +49,13 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst42-dev
+Package: libhfst45-dev
 Architecture: any
 Section: libdevel
-Depends: libhfst42 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: hfst (= ${binary:Version}),
+         libhfst45 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: libhfst-dev
 Conflicts: libhfst-dev, libhfst3-dev
 Replaces: libhfst-dev, libhfst3-dev
@@ -66,7 +69,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst42 (= ${binary:Version}),
+Depends: libhfst45 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -80,7 +83,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst42 (= ${binary:Version}),
+Depends: libhfst45 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
