## hfst 3.12.2~r3289

=== debian/changelog ===
hfst (3.12.2~r3289-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release:
  * debian/patches/hfst_03_notemplate.diff:
    + Added patch to Fix FTBFS (Closes: #871145)
  * Now also builds Python modules for Python 2.x

 -- Kartik Mistry <kartik@debian.org>  Tue, 08 Aug 2017 18:16:08 +0530
