=== debian/control ===
--- 
+++ 
@@ -10,24 +10,23 @@
                bison,
                debhelper (>= 9.0),
                dh-autoreconf,
-               dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
                libicu-dev,
                libreadline-dev,
                libtool,
-               python-dev,
+               python-all-dev,
                python3-all-dev,
                swig,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst45 (= ${binary:Version}),
+Depends: libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -36,7 +35,7 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst45
+Package: libhfst49
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
@@ -49,11 +48,11 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst45-dev
+Package: libhfst49-dev
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst45 (= ${binary:Version}),
+         libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libhfst-dev
@@ -69,7 +68,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst45 (= ${binary:Version}),
+Depends: libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -83,7 +82,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst45 (= ${binary:Version}),
+Depends: libhfst49 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
