## hfst 3.13.0~r3461

=== debian/changelog ===
hfst (3.13.0~r3461-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Fri, 22 Dec 2017 11:54:55 +0530

hfst (3.13.0~r3461-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release
  * Rename libhfstNN-dev to plain libhfst-dev

  [ Kartik Mistry ]
  * Upload to experimental as of now.
  * Update Standards-Version to 4.1.1
  * Added patch description.

 -- Kartik Mistry <kartik@debian.org>  Sat, 02 Dec 2017 11:49:38 +0530

hfst (3.12.2~r3289-3) unstable; urgency=low

  * debian/docs change README to README.rst (Closes: #874761)
  * New style watch file

 -- Tino Didriksen <tino@didriksen.cc>  Mon, 11 Sep 2017 14:34:24 +0200

hfst (3.12.2~r3289-2) unstable; urgency=low

  [ Tino Didriksen ]
  * Re-disable tests to work around big-endian building (Closes: #873008)

  [ Kartik Mistry ]
  * Added dh-python to Build-Depends.

 -- Kartik Mistry <kartik@debian.org>  Thu, 07 Sep 2017 10:00:41 +0530
