=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                bison,
                debhelper (>= 9.0),
                dh-autoreconf,
+               dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
                libicu-dev,
@@ -19,14 +20,14 @@
                python3-all-dev,
                swig,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
 
 Package: hfst
 Architecture: any
-Depends: libhfst49 (= ${binary:Version}),
+Depends: libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -35,8 +36,9 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst49
+Package: libhfst50
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libhfst
 Conflicts: libhfst, libhfst3
@@ -48,16 +50,15 @@
  .
  This package provides runtime libraries for HFST.
 
-Package: libhfst49-dev
+Package: libhfst-dev
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst49 (= ${binary:Version}),
+         libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libhfst-dev
-Conflicts: libhfst-dev, libhfst3-dev
-Replaces: libhfst-dev, libhfst3-dev
+Conflicts: libhfst3-dev
+Replaces: libhfst3-dev
 Description: Helsinki Finite-State Transducer Technology Development files
  The Helsinki Finite-State Transducer software is intended for the
  implementation of morphological analysers and other tools which are
@@ -68,7 +69,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst49 (= ${binary:Version}),
+Depends: libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -82,7 +83,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst49 (= ${binary:Version}),
+Depends: libhfst50 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
