## hfst 3.15.0

=== debian/changelog ===
hfst (3.15.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * hfst: Add Breaks: libhfst45-dev for smoother upgrades from stretch.
    (Closes: #931169)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jul 2019 10:17:59 +0200

hfst (3.15.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * debian/control:
    + Updated Standards-Version to 4.2.1
    + Updated package name as per soname change: libhfst50 -> libhfst52.
    + Updated Build-Depends.

  [ Kartik Mistry ]
  * debian/libhfst52.lintian-overrides:
    + Added override for repeated triggers.

 -- Kartik Mistry <kartik@debian.org>  Sat, 13 Oct 2018 12:16:11 +0530

hfst (3.13.0~r3461-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.1.5
    + Updated Homepage.
    + Updated Vcs-* URLs.
  * Updated dh to 11.
  * debian/copyright:
    + Wrap text to 80 chars.
    + Updated source URL.
  * debian/rules:
    + Removed --parallel argument.
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Aug 2018 15:49:03 +0800
