=== debian/control ===
--- 
+++ 
@@ -6,37 +6,37 @@
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                automake,
-               autotools-dev,
                bison,
-               debhelper (>= 9.0),
-               dh-autoreconf,
+               debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                flex,
-               libicu-dev,
                libreadline-dev,
                libtool,
                python-all-dev,
+               python-setuptools,
                python3-all-dev,
+               python3-setuptools,
                swig,
                zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: http://www.ling.helsinki.fi/kieliteknologia/tutkimus/hfst/
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/hfst.git
+Standards-Version: 4.2.1
+Homepage: https://hfst.github.io/
+Vcs-Git: https://salsa.debian.org/science-team/hfst.git
+Vcs-Browser: https://salsa.debian.org/science-team/hfst
 
 Package: hfst
 Architecture: any
-Depends: libhfst50 (= ${binary:Version}),
+Depends: libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
+Breaks: libhfst45-dev
 Description: Helsinki Finite-State Transducer Technology
  The Helsinki Finite-State Transducer software is intended for the
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst50
+Package: libhfst52
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -54,7 +54,7 @@
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst50 (= ${binary:Version}),
+         libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libhfst3-dev
@@ -69,7 +69,7 @@
 Package: python-libhfst
 Architecture: any
 Section: python
-Depends: libhfst50 (= ${binary:Version}),
+Depends: libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -83,7 +83,7 @@
 Package: python3-libhfst
 Architecture: any
 Section: python
-Depends: libhfst50 (= ${binary:Version}),
+Depends: libhfst52 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
