=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,15 @@
 export DH_OPTIONS
 export LC_ALL=C.UTF-8
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 %:
-	dh $@ --fail-missing --parallel --with autoreconf --with python2 --with python3
+	dh $@ --fail-missing --with autoreconf --with python2 --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-static --with-unicode-handler=ICU --enable-all-tools --with-readline
+	dh_auto_configure -- --disable-static --enable-all-tools --with-readline
 
 override_dh_auto_build:
 	$(MAKE) -j$(NUMJOBS) || $(MAKE) -j$(NUMJOBS) || $(MAKE)
