=== debian/changelog ===
hfst (3.15.1-2) unstable; urgency=low

  * Source only upload.

 -- Kartik Mistry <kartik@debian.org>  Mon, 30 Sep 2019 14:25:08 +0530

hfst (3.15.1-1) unstable; urgency=low

  * Update to latest upstream
  * Now only supports Python 3 (Closes: #936698)
  * Now uses ICU for Unicode handling
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.0
    + Updated Build-Depends

 -- Tino Didriksen <tino@didriksen.cc>  Tue, 03 Sep 2019 14:02:07 +0200

hfst (3.15.0-2) unstable; urgency=low

  * Fixed debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Tue, 11 Dec 2018 12:34:57 +0530
