## hfst 3.15.4

=== debian/changelog ===
hfst (3.15.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Thu, 10 Feb 2022 13:44:35 +0530

hfst (3.15.4-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
  * debian/control:
    + Updated Standards-Version to 4.6.0
    + Renamed python3-libhfst to python3-hfst, with transitional package
    + Updated package name as per soname change: libhfst52 -> libhfst53.
  * debian/rules:
    + Only build for one python3 version, because multi-version seems generally
      unsupported.
  * debian/copyright:
    + Fix copyright, partially by excluding conflicting files from Debian, but
      primarily by asking authors for intent and permission.

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Feb 2022 17:34:35 +0530

hfst (3.15.1-3) unstable; urgency=low

  * debian/rules:
    + Fix Python module name.
  * Add debian/gitlab-ci.yml.
  * debian/control:
    + Switched to debhelper-compat.
    + Updated Standards-Version to 4.5.0
  * Removed duplicate trigger and lintian-override for it.

 -- Kartik Mistry <kartik@debian.org>  Tue, 26 May 2020 20:15:46 +0530
