## hfst 3.16.0

=== tools/src/hfst-tagger/src/build_model_src/Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	WeightedStringVectorCollection.cc
 	g++ -g -O3 -c -o FstBuilder.o FstBuilder.cc
 	g++ -g -O3 -c -o ModelBuilder.o ModelBuilder.cc
-	g++ -g -O3 -c -o LexicalModelBuilder.o LexicalModelBuilder.cc 
+	g++ -g -O3 -c -o LexicalModelBuilder.o LexicalModelBuilder.cc
 	g++ -g -O3 -c -o SequenceModelBuilder.o SequenceModelBuilder.cc
 	g++ -Wall -Wextra -g -O3 -c -o TaggerBuilder.o TaggerBuilder.cc
 	g++ -g -O3 -DMAIN_TEST -o TaggerBuilder ModelBuilder.o \
