=== debian/changelog ===
hfst (3.16.0-5build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:25:06 +0000

hfst (3.16.0-5build3) noble; urgency=medium

  * Rebuild against latest foma

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 19:49:28 -0500

hfst (3.16.0-5build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:40:25 +0000

hfst (3.16.0-5build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:28 +0100

hfst (3.16.0-5) unstable; urgency=medium

  * Add Breaks+Replaces (Closes: #1034972)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 27 Apr 2023 15:46:23 +0200

hfst (3.16.0-4) unstable; urgency=high

  [ Tino Didriksen ]
  * debian/patches/hfst-atomic.diff:
    + Add atomic patch, to aid in building on armel/mipsel

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Apr 2022 19:42:23 +0530

hfst (3.16.0-3) unstable; urgency=high

  * Depends on libfst-dev (>= 1.7.9) to avoid depends on libfst8
    (Closes: #1009828)

 -- Kartik Mistry <kartik@debian.org>  Wed, 20 Apr 2022 10:49:29 +0530

hfst (3.16.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Mar 2022 09:34:55 +0530

hfst (3.16.0-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * Bumped package libhfst53 -> libhfst55 for soname change.

 -- Kartik Mistry <kartik@debian.org>  Wed, 02 Mar 2022 08:50:09 +0530
