=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hfst
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
@@ -9,6 +10,8 @@
                debhelper-compat (= 13),
                dh-python,
                flex,
+               libfoma-dev,
+               libfst-dev (>= 1.7.9),
                libicu-dev,
                libreadline-dev,
                pkg-config,
@@ -24,7 +27,7 @@
 
 Package: hfst
 Architecture: any
-Depends: libhfst53 (= ${binary:Version}),
+Depends: libhfst55 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -33,7 +36,7 @@
  implementation of morphological analysers and other tools which are
  based on weighted and unweighted finite-state transducer technology.
 
-Package: libhfst53
+Package: libhfst55
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -51,7 +54,8 @@
 Architecture: any
 Section: libdevel
 Depends: hfst (= ${binary:Version}),
-         libhfst53 (= ${binary:Version}),
+         libhfst55 (= ${binary:Version}),
+         libicu-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libhfst3-dev
@@ -66,11 +70,13 @@
 Package: python3-hfst
 Architecture: any
 Section: python
-Depends: libhfst53 (= ${binary:Version}),
+Depends: libhfst55 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Provides: ${python3:Provides}
+Breaks: python3-libhfst (<< 3.15.4)
+Replaces: python3-libhfst (<< 3.15.4)
 XB-Python-Version: ${python3:Versions}
 Description: Helsinki Finite-State Transducer Technology (Python3 module)
  The Helsinki Finite-State Transducer software is intended for the
