## hfst 3.16.1

=== debian/changelog ===
hfst (3.16.1-3build2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:27:56 +0100

hfst (3.16.1-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:55:34 +0100

hfst (3.16.1-3) unstable; urgency=medium

  * Apparently, LDFLAGS only works in d/rules when passed to configure

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 19 Dec 2024 23:15:40 +0100

hfst (3.16.1-2) unstable; urgency=medium

  * armel and powerpc still need LDFLAGS=-latomic,
    but thankfully not the full patch

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 19 Dec 2024 16:12:50 +0100

hfst (3.16.1-1) unstable; urgency=medium

  * Update to latest upstream.
  * Require patched openfst (Closes: #1075066)

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 19 Dec 2024 10:43:53 +0100
