=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: hfst
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: autoconf,
                bison,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                flex,
                libfoma-dev,
-               libfst-dev (>= 1.7.9),
+               libfst-dev (>= 1.7.9-6~),
                libicu-dev,
                libreadline-dev,
                pkg-config,
@@ -19,7 +18,7 @@
                python3-setuptools,
                swig,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://hfst.github.io/
 Vcs-Git: https://salsa.debian.org/science-team/hfst.git
 Vcs-Browser: https://salsa.debian.org/science-team/hfst
